Loading...
Searching...
No Matches
gx_engine::NeuralAmp Class Reference

`#include <gx_neural_plugins.h>`

Inheritance diagram for gx_engine::NeuralAmp:

## Public Member Functions

| NeuralAmp (ParamMap &param_, std::string id, sigc::slot< void > sync)
| ~NeuralAmp ()

## Public Attributes

std::vector< Glib::ustring > | nam_file_names
Plugin | plugin
Public Attributes inherited from PluginDef
int | version
int | flags
const char * | id
const char * | name
const char ** | groups
const char * | description
const char * | category
const char * | shortname
process_mono_audio | mono_audio
process_stereo_audio | stereo_audio
inifunc | set_samplerate
activatefunc | activate_plugin
registerfunc | register_params
uiloader | load_ui
clearstatefunc | clear_state
deletefunc | delete_instance

## Private Member Functions

void | clear_state_f ()
int | load_ui_f (const UiBuilder &b, int form)
void | init (unsigned int sample_rate)
void | compute (int count, float *input0, float *output0)
void | load_nam_file ()
void | load_nam_file_impl ()
void | create_nam_filelist ()
int | register_par (const ParamReg &reg)

## Static Private Member Functions

static void | clear_state_f_static (PluginDef *)
static void | init_static (unsigned int sample_rate, PluginDef *)
static int | load_ui_f_static (const UiBuilder &b, int form)
static void | compute_static (int count, float *input0, float *output0, PluginDef *)
static int | register_params_static (const ParamReg &reg)
static void | del_instance (PluginDef *p)

## Private Attributes

nam::DSP * | model
ParamMap & | param
gx_resample::FixedRateResampler | smp
Ramp | ramp
sigc::slot< void > | sync
volatile int | ready
int | fSampleRate
int | mSampleRate
float | fVslider0
float | fVslider1
double | fRec0 [2]
double | fRec1 [2]
int | need_resample
float | loudness
bool | is_inited
float | filelist
Glib::ustring | load_file
Glib::ustring | current_file
Glib::ustring | load_path
std::string | idstring

## Detailed Description

Definition at line 68 of file gx_neural_plugins.h.

## Constructor & Destructor Documentation

## NeuralAmp()

gx_engine::NeuralAmp::NeuralAmp | ( | ParamMap & | param_,
|  | std::string | id,
|  | sigc::slot< void > | sync )

## ~NeuralAmp()

gx_engine::NeuralAmp::~NeuralAmp | ( |  | ) |

## Member Function Documentation

## clear_state_f()

void gx_engine::NeuralAmp::clear_state_f | ( |  | ) |

private

## clear_state_f_static()

void gx_engine::NeuralAmp::clear_state_f_static | ( | PluginDef * |  | ) |

static private

## compute()

void gx_engine::NeuralAmp::compute | ( | int | count,
|  | float * | input0,
|  | float * | output0 )

private

## compute_static()

void gx_engine::NeuralAmp::compute_static | ( | int | count,
|  | float * | input0,
|  | float * | output0,
|  | PluginDef * | )

static private

## create_nam_filelist()

void gx_engine::NeuralAmp::create_nam_filelist | ( |  | ) |

private

## del_instance()

void gx_engine::NeuralAmp::del_instance | ( | PluginDef * | p | ) |

static private

## init()

void gx_engine::NeuralAmp::init | ( | unsigned int | sample_rate | ) |

private

## init_static()

void gx_engine::NeuralAmp::init_static | ( | unsigned int | sample_rate,
|  | PluginDef * | )

static private

## load_nam_file()

void gx_engine::NeuralAmp::load_nam_file | ( |  | ) |

private

## load_nam_file_impl()

void gx_engine::NeuralAmp::load_nam_file_impl | ( |  | ) |

private

## load_ui_f()

int gx_engine::NeuralAmp::load_ui_f | ( | const UiBuilder & | b,
|  | int | form )

private

## load_ui_f_static()

int gx_engine::NeuralAmp::load_ui_f_static | ( | const UiBuilder & | b,
|  | int | form )

static private

## register_par()

int gx_engine::NeuralAmp::register_par | ( | const ParamReg & | reg | ) |

private

## register_params_static()

int gx_engine::NeuralAmp::register_params_static | ( | const ParamReg & | reg | ) |

static private

## Member Data Documentation

## current_file

Glib::ustring gx_engine::NeuralAmp::current_file

private

Definition at line 87 of file gx_neural_plugins.h.

## filelist

float gx_engine::NeuralAmp::filelist

private

Definition at line 85 of file gx_neural_plugins.h.

## fRec0

double gx_engine::NeuralAmp::fRec0[2]

private

Definition at line 80 of file gx_neural_plugins.h.

## fRec1

double gx_engine::NeuralAmp::fRec1[2]

private

Definition at line 81 of file gx_neural_plugins.h.

## fSampleRate

int gx_engine::NeuralAmp::fSampleRate

private

Definition at line 76 of file gx_neural_plugins.h.

## fVslider0

float gx_engine::NeuralAmp::fVslider0

private

Definition at line 78 of file gx_neural_plugins.h.

## fVslider1

float gx_engine::NeuralAmp::fVslider1

private

Definition at line 79 of file gx_neural_plugins.h.

## idstring

std::string gx_engine::NeuralAmp::idstring

private

Definition at line 89 of file gx_neural_plugins.h.

## is_inited

bool gx_engine::NeuralAmp::is_inited

private

Definition at line 84 of file gx_neural_plugins.h.

## load_file

Glib::ustring gx_engine::NeuralAmp::load_file

private

Definition at line 86 of file gx_neural_plugins.h.

## load_path

Glib::ustring gx_engine::NeuralAmp::load_path

private

Definition at line 88 of file gx_neural_plugins.h.

## loudness

float gx_engine::NeuralAmp::loudness

private

Definition at line 83 of file gx_neural_plugins.h.

## model

nam::DSP* gx_engine::NeuralAmp::model

private

Definition at line 70 of file gx_neural_plugins.h.

## mSampleRate

int gx_engine::NeuralAmp::mSampleRate

private

Definition at line 77 of file gx_neural_plugins.h.

## nam_file_names

std::vector<Glib::ustring> gx_engine::NeuralAmp::nam_file_names

Definition at line 107 of file gx_neural_plugins.h.

## need_resample

int gx_engine::NeuralAmp::need_resample

private

Definition at line 82 of file gx_neural_plugins.h.

## param

ParamMap& gx_engine::NeuralAmp::param

private

Definition at line 71 of file gx_neural_plugins.h.

## plugin

Plugin gx_engine::NeuralAmp::plugin

Definition at line 108 of file gx_neural_plugins.h.

## ramp

Ramp gx_engine::NeuralAmp::ramp

private

Definition at line 73 of file gx_neural_plugins.h.

## ready

volatile int gx_engine::NeuralAmp::ready

private

Definition at line 75 of file gx_neural_plugins.h.

## smp

gx_resample::FixedRateResampler gx_engine::NeuralAmp::smp

private

Definition at line 72 of file gx_neural_plugins.h.

## sync

sigc::slot<void> gx_engine::NeuralAmp::sync

private

Definition at line 74 of file gx_neural_plugins.h.

Referenced by NeuralAmp().

The documentation for this class was generated from the following file:

- src/headers/gx_neural_plugins.h